global:
  defaultStorageClass: "{{ ska_ser_sbom_visualiser_storage_class }}"
trivy:
  authToken: "{{ ska_ser_sbom_visualiser_ingest_trivy_token }}"
  enabled: "{{ ska_ser_sbom_visualiser_ingest_trivy_enabled }}"
  image:
    registry: "{{ ska_ser_sbom_visualiser_ingest_trivy_registry }}"
    image: "{{ ska_ser_sbom_visualiser_ingest_trivy_image }}"
    tag: "{{ ska_ser_sbom_visualiser_ingest_trivy_tag }}"
    pullPolicy: IfNotPresent
  resources: {{ ska_ser_sbom_visualiser_ingest_trivy_resources }}
ingestSbom:
  enabled: true
  resources: {{ ska_ser_sbom_visualiser_ingest_resources }}
  sleepTime: "{{ ska_ser_sbom_visualiser_ingest_sleep_time }}"
  car:
    hostname: "{{ ska_ser_sbom_visualiser_car_hostname }}"
    repo: "{{ ska_ser_sbom_visualiser_car_repo }}"
  dtrack:
{% if api_key_res is defined %}
    apiKey: "{{ api_key_res.json.key }}"
{% endif %}
    apiServer: "{{ ska_ser_sbom_visualiser_api_server_url }}"
  image:
    registry: "{{ ska_ser_sbom_visualiser_manager_image_repository }}"
    image: ska-ser-sbom-visualiser
    tag: "{{ ska_ser_sbom_visualiser_manager_image_tag }}"
    pullPolicy: IfNotPresent
alpineDatabaseUrl: "jdbc:postgresql://{{ ska_ser_sbom_visualiser_release_name }}-postgresql:5432/dtrack"
dtrack:
  enabled: true
  ingress:
    enabled: {{ ska_ser_sbom_ingress_enabled }}
    hostname: "{{ ska_ser_sbom_ingress_hostname }}"
    ingressClassName: "{{ ska_ser_sbom_ingress_ingress_classname }}"
  apiServer:
    extraEnv:
    - name: ALPINE_OIDC_ENABLED
      value: "true"
    - name: ALPINE_OIDC_CLIENT_ID
      value: "{{ ska_ser_sbom_visualiser_oidc_client_id }}"
    - name: ALPINE_OIDC_ISSUER
      value: "https://gitlab.com"
    - name: ALPINE_OIDC_USERNAME_CLAIM
      value: "nickname"
    - name: ALPINE_OIDC_TEAMS_CLAIM
      value: "groups"
    - name: ALPINE_OIDC_USER_PROVISIONING
      value: "true"
    - name: ALPINE_OIDC_TEAM_SYNCHRONIZATION
      value: "true"
    extraEnvFrom:
      - configMapRef:
          name: "{{ ska_ser_sbom_visualiser_release_name }}-dtrack"
    service:
      type: "{{ ska_ser_sbom_visualiser_apiserver_svc_type }}"
  frontend:
    extraEnv:
    - name: OIDC_CLIENT_ID
      value: "{{ ska_ser_sbom_visualiser_oidc_client_id }}"
    - name: OIDC_ISSUER
      value: "https://gitlab.com"
    - name: OIDC_LOGIN_BUTTON_TEXT
      value: "Gitlab.com SSO"
    apiBaseUrl: "{{ ska_ser_sbom_visualiser_api_server_url }}"
    service:
      type: "{{ ska_ser_sbom_visualiser_frontend_svc_type }}"
postgresql:
  auth:
    password: "{{ ska_ser_sbom_visualiser_postgresql_passwd }}"
